import { fetch } from '@whatwg-node/fetch';
export interface GenericSDKOptions {
    endpoint?: string;
    fetchFn?: typeof fetch;
}
export interface GenericRequestParams {
    JSONBody?: any;
    PathParams?: Record<string, string>;
    QueryParams?: Record<string, string | string[]>;
    Headers?: Record<string, string>;
}
export declare function createGenericSDK({ endpoint, fetchFn }?: GenericSDKOptions): any;
